# \[POST] /cbe/curriculum/updateframework

{% tabs %}
{% tab title="Critique" %}

* This should be a [PUT](/api/elentra-api-standards/http-methods-and-status-codes.md#this-section-contains-the-api-standards-and-guidlines-when-implementing-a-put-route) request, because we are updating the framework, not creating a new one.
* Use the appropriate collection name and resource ID, instead of passing them in query parameters or the request body.
* Don't use a verb in the URI, as this information should be captured by the HTTP method.
  {% endtab %}

{% tab title="Suggestion" %}

* Include the framework ID being updated, and the collection it belongs to, in the URI.

{% hint style="info" %}
**Final Suggestion**

`[PUT] /cbe/curriculum/frameworks/{framework}`
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/api/elentra-api-standards/routing-and-parameters/common-mistakes/post-cbe-curriculum-updateframework.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
